> ## Documentation Index
> Fetch the complete documentation index at: https://padelapi.org/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Match Stats

> Endpoint to retrieve detailed statistics of a specific match.

> 🔒 This endpoint [requires a **Pro** subscription](https://padelapi.org/billing).



## OpenAPI

````yaml https://padelapi.org/docs/api.json get /matches/{match}/stats
openapi: 3.1.0
info:
  title: Padel API – API Reference
  version: '1.0'
  description: padelapi.org
servers:
  - url: https://padelapi.org/api
security:
  - http: []
paths:
  /matches/{match}/stats:
    get:
      tags:
        - Match
      summary: Show Match Stats
      description: >-
        Endpoint to retrieve detailed statistics of a specific match.


        > 🔒 This endpoint [requires a **Pro**
        subscription](https://padelapi.org/billing).
      operationId: getMatchStats
      parameters:
        - name: match
          in: path
          required: true
          description: The match ID
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                  self:
                    type: string
                  match:
                    type: object
                    properties:
                      total_points_won:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      break_points_converted:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      longest_streak:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      aces:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      double_faults:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      won_on_1st_serve:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      won_on_2nd_serve:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      service_games:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      won_on_1st_return:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      won_on_2nd_return:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      return_games:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      total_won_on_serve:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      total_won_on_return:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                    required:
                      - total_points_won
                      - break_points_converted
                      - longest_streak
                      - aces
                      - double_faults
                      - won_on_1st_serve
                      - won_on_2nd_serve
                      - service_games
                      - won_on_1st_return
                      - won_on_2nd_return
                      - return_games
                      - total_won_on_serve
                      - total_won_on_return
                  set_{n}:
                    type: object
                    properties:
                      total_points_won:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      break_points_converted:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      longest_streak:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      aces:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      double_faults:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      won_on_1st_serve:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      won_on_2nd_serve:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      service_games:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      won_on_1st_return:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      won_on_2nd_return:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      return_games:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      total_won_on_serve:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                      total_won_on_return:
                        type: object
                        properties:
                          team_1:
                            type: string
                          team_2:
                            type: string
                        required:
                          - team_1
                          - team_2
                    required:
                      - total_points_won
                      - break_points_converted
                      - longest_streak
                      - aces
                      - double_faults
                      - won_on_1st_serve
                      - won_on_2nd_serve
                      - service_games
                      - won_on_1st_return
                      - won_on_2nd_return
                      - return_games
                      - total_won_on_serve
                      - total_won_on_return
                  connections:
                    type: object
                    properties:
                      match:
                        type: string
                    required:
                      - match
                required:
                  - id
                  - self
                  - match
                  - set_{n}
                  - connections
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer

````